%define oname purple-plugin_pack
%define version 1.0
%define prerel beta7
%define fname %oname-%version%prerel
%define pidgin_major_ver 2
%define pidgin_minor_ver 0
%define pidgin_next_major_ver %(echo $((%{pidgin_major_ver}+1)))
%define pidgin_build_minor_ver %(pkg-config --modversion pidgin | awk -F. '{ print $2 }')

Summary:    Plugin Pack for libpurple and derived IM clients
Name:       pidgin-plugin-pack
Version:    %version

Release:    %mkrel 0.%prerel.2
License:    GPL
Group:      Networking/Instant messaging

URL:        http://plugins.guifications.org/
Source0:    %{fname}.tar.bz2
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: perl-XML-Parser
BuildRequires: pidgin-devel >= %{pidgin_major_ver}.%{pidgin_minor_ver}, pidgin-devel < %{pidgin_next_major_ver}
BuildRequires: gtk2-devel
Requires:   pidgin >= %{pidgin_major_ver}.%{pidgin_build_minor_ver}, pidgin < %{pidgin_next_major_ver}

%description
Additional plugins for Pidgin.

%package -n pidgin-xmms
Group: Networking/Instant messaging
Summary: Xmms control plugin for Pidgin
Requires:   pidgin >= %{pidgin_major_ver}.%{pidgin_build_minor_ver}, pidgin < %{pidgin_next_major_ver}
Requires: xmms
BuildRequires: xmms-devel

%description -n pidgin-xmms
This is a plugin for Pidgin to control the Xmms music player.

%prep
%setup -q -n %fname

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

rm -f $RPM_BUILD_ROOT%{_libdir}/purple-2/*.la $RPM_BUILD_ROOT%{_libdir}/purple-2/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/pidgin/*.la $RPM_BUILD_ROOT%{_libdir}/pidgin/*.a
%find_lang plugin_pack

%clean
rm -rf $RPM_BUILD_ROOT

%files -f plugin_pack.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog
%_libdir/pidgin/album.so
%_libdir/pidgin/blistops.so
%_libdir/pidgin/difftopic.so
%_libdir/pidgin/gRIM.so
%_libdir/pidgin/hideconv.so
%_libdir/pidgin/irssi.so
%_libdir/pidgin/lastseen.so
%_libdir/pidgin/mystatusbox.so
%_libdir/pidgin/nicksaid.so
%_libdir/pidgin/pidgin-schedule.so
%_libdir/pidgin/plonkers.so
%_libdir/pidgin/sepandtab.so
%_libdir/pidgin/xchat-chats.so
%_libdir/purple-2/autoreply.so
%_libdir/purple-2/bash.so
%_libdir/purple-2/dice.so
%_libdir/purple-2/eight_ball.so
%_libdir/purple-2/flip.so
%_libdir/purple-2/irchelper.so
%_libdir/purple-2/listhandler.so
%_libdir/purple-2/oldlogger.so
%_libdir/purple-2/showoffline.so
%_libdir/purple-2/simfix.so
%_libdir/purple-2/slashexec.so
%_libdir/purple-2/sslinfo.so

%files -n pidgin-xmms
%defattr(-,root,root,-)
%_libdir/pidgin/xmmsremote.so
%dir %{_datadir}/pixmaps/pidgin/plugin_pack
%{_datadir}/pixmaps/pidgin/plugin_pack/xmmsremote/


%changelog
* Thu May 03 2007 Götz Waschk <waschk@mandriva.org> 1.0-0.beta7.2mdv2008.0
+ Revision: 20867
- split out xmms package

* Wed May 02 2007 Götz Waschk <waschk@mandriva.org> 1.0-0.beta7.1mdv2008.0
+ Revision: 20766
- Import pidgin-plugin-pack




* Wed May  2 2007 Götz Waschk <waschk@mandriva.org> 1.0-0.beta7.1mdv2008.0
- initial package

* Mon Apr 30 2007 Stu Tomlinson <stu@nosnilmot.com>
- Update for the rename of Gaim to Pidgin
- New URL for our new website
- Use tar.bz2 for source
- Split into pidgin- and purple- RPMs

* Tue Dec 5 2006 John Bailey <rekkanoryo@rekkanoryo.org>
- Update the URL to match our new website

* Thu Oct 19 2006 Stu Tomlinson <stu@nosnilmot.com>
- Removed locale from %%files, that's what %%find_lang is for
- Fixed finding translations
- Fixed %%s in %%changelog
- Package xmms pixmaps
- Add xmms-devel buildrequires

* Sun Nov 11 2005 Peter Lawler <bleeter from users.sf.net>
- Added locale to %%files
- Enabled %%find_lang

* Thu Nov 03 2005 Stu Tomlinson <stu@nosnilmot.com>
- Fix it again

* Wed Nov 02 2005 Peter Lawler <bleeter@users.sf.net>
- Fixed up the Mandrivel .so rename

* Tue Nov 01 2005 Stu Tomlinson <stu@nosnilmot.com>
- Fix it

* Tue Nov 01 2005 Peter Lawler <bleeter@users.sf.net>
- Initial Spec File for Plugin Pack
